summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2011-02-16 10:08:50 +0000
committerLars Wirzenius <liw@liw.fi>2011-02-16 10:08:50 +0000
commit4b56f290c6807841b0ca3163c313fc6073423c38 (patch)
treef8ccd658fa5c9f89b5ba2135e31c0ba5a06cd350
parent3fe088f51933ccea849ad45e540a07955a6c47d2 (diff)
downloadliw-automation-4b56f290c6807841b0ca3163c313fc6073423c38.tar.gz
Add asd.version_8_10
-rw-r--r--debian/changelog6
-rwxr-xr-xscripts/asd47
2 files changed, 53 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index 1cd4905..6788a69 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+liw-automation (8.10) squeeze; urgency=low
+
+ * Add asd.
+
+ -- Lars Wirzenius <liw@liw.fi> Wed, 16 Feb 2011 10:08:41 +0000
+
liw-automation (8.9) squeeze; urgency=low
* New upstream release: better disp.
diff --git a/scripts/asd b/scripts/asd
new file mode 100755
index 0000000..4b42157
--- /dev/null
+++ b/scripts/asd
@@ -0,0 +1,47 @@
+#!/bin/sh
+# asd -- wrapper around sd
+# Copyright 2010 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+
+die()
+{
+ echo "$@" 1>&2
+ exit 1
+}
+
+
+if [ "x$SD_REPO" = "x" ]
+then
+ if bzr root > /dev/null 2>&1
+ then
+ root=$(bzr root)
+ if [ -d "$root/../bugs" ]
+ then
+ export SD_REPO="$root/../bugs"
+ fi
+ fi
+
+ if [ "x$SD_REPO" = "x" ]
+ then
+ die "Cannot find bug database for SD."
+ fi
+fi
+
+
+sd "$@"